﻿using UnityEngine;
using System.Collections;

//Allows access to C# libraries
//In this case to use Lists
using System.Collections.Generic;

public class Manager : MonoBehaviour {

	public GameObject myCube;
	public GameObject BoxesParent;

	public List<GameObject> boxesList = new List<GameObject>();

	public Color skycolor;

	// Use this for initialization
	void Start () {
		//Destroy removes the component or gameObject
		//Destroy (gameObject, 1);
	
		//Position the Cube
		//Bad way
		//GameObject.Find("ObjectName")

		//Good way
		//myCube.transform.position = new Vector3(1,1,1);

		//Change the Camera's Background Color
		gameObject.GetComponent<Camera>().backgroundColor = skycolor;
		GetComponent<Camera> ().fieldOfView = 120;
		//Get All children of BoxesParent
		Debug.Log(BoxesParent.transform.childCount);
		foreach (Transform child in BoxesParent.transform) {
			//Add the boxes to the list
			boxesList.Add(child.gameObject);
		}

		boxesList[1].transform.position = new Vector3 (boxesList[1].transform.position.x, boxesList[1].transform.position.y + 3, boxesList[1].transform.position.z);

		MoveBoxes ();
	}

	void MoveBoxes(){
		foreach (GameObject boxObject in boxesList) {
			//Create a new random
			float s = Random.Range(1.0f, 5.0f);

			if(boxObject.GetComponent<CubeScript>())
			boxObject.GetComponent<CubeScript> ().speed = s;
		}
	}

	// Update is called once per frame
	void Update () {
	
	}

	void OnDestroy(){
		Debug.Log ("I am dead");
	}
}
